summaryrefslogtreecommitdiffstats
path: root/source/n/openssh
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/openssh')
-rwxr-xr-xsource/n/openssh/openssh.SlackBuild5
-rw-r--r--source/n/openssh/ssh-copy-id.diff19
2 files changed, 23 insertions, 1 deletions
diff --git a/source/n/openssh/openssh.SlackBuild b/source/n/openssh/openssh.SlackBuild
index 3a423c91f..5e9331ea1 100755
--- a/source/n/openssh/openssh.SlackBuild
+++ b/source/n/openssh/openssh.SlackBuild
@@ -30,7 +30,7 @@ PKG=$TMP/package-openssh
PKGNAM=openssh
VERSION=${VERSION:-$(echo openssh-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -86,6 +86,9 @@ chown -R root:root .
# Restore support for tcpwrappers:
zcat $CWD/openssh.tcp_wrappers.diff.gz | patch -p1 --verbose || exit 1
+# Fix ssh-copy-id EOF bug:
+zcat $CWD/ssh-copy-id.diff.gz | patch -p1 --verbose || exit 1
+
# Choose correct options depending on whether PAM is installed:
if [ -L /lib${LIBDIRSUFFIX}/libpam.so.? ]; then
PAM_OPTIONS="--with-pam --with-kerberos5"
diff --git a/source/n/openssh/ssh-copy-id.diff b/source/n/openssh/ssh-copy-id.diff
new file mode 100644
index 000000000..269879bfa
--- /dev/null
+++ b/source/n/openssh/ssh-copy-id.diff
@@ -0,0 +1,19 @@
+--- ./contrib/ssh-copy-id.orig 2020-09-27 02:25:01.000000000 -0500
++++ ./contrib/ssh-copy-id 2020-11-12 19:01:42.049254763 -0600
+@@ -247,7 +247,7 @@
+ # the -z `tail ...` checks for a trailing newline. The echo adds one if was missing
+ # the cat adds the keys we're getting via STDIN
+ # and if available restorecon is used to restore the SELinux context
+- INSTALLKEYS_SH=$(tr '\t\n' ' ' <<-EOF)
++ INSTALLKEYS_SH=$(tr '\t\n' ' ' <<-EOF
+ cd;
+ umask 077;
+ mkdir -p $(dirname "${AUTH_KEY_FILE}") &&
+@@ -258,6 +258,7 @@
+ restorecon -F .ssh ${AUTH_KEY_FILE};
+ fi
+ EOF
++ )
+
+ # to defend against quirky remote shells: use 'exec sh -c' to get POSIX;
+ printf "exec sh -c '%s'" "${INSTALLKEYS_SH}"